From 6e7f2ce13e90fce82b2e4382fa08dec32d175f63 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Tue, 31 Mar 2020 10:21:58 +0800
Subject: [PATCH 16/77] virsh_attach_detach_disk: make sure the
 multipathd.service is stopped when create VG with a block devices.

When create VG with a block devices, the multipathd.service should be
stopped. Otherwise it will report an error the block device excluded by a
filter.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py b/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py
index efad8e9b..c7ad1f41 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py
@@ -200,6 +200,9 @@ def run(test, params, env):
     # Create virtual device file.
     device_source_path = os.path.join(data_dir.get_tmp_dir(), device_source_name)
     if test_block_dev:
+        # Make sure the multipathd.service is stoped when create VG with a block devices.
+        cmd = "/bin/systemctl stop multipathd.service"
+        process.system(cmd, ignore_status=True, shell=True)
         device_source = libvirt.setup_or_cleanup_iscsi(True)
         if not device_source:
             # We should skip this case
-- 
2.23.0

